Name: openMosixview
Summary: /
Version: 1.3
Release: suse73
Group: cluster management
Copyright: GPL
Packager: M. Rechenburg
Distribution: RPM-SOURCE DISTRIBUTION
Prefix: /usr/local
Provides: openmosixview+openmosixprocs+openmosixcollector+openmosixanalyzer+openmosixhistory+3dmosmon
Url: http://www.openmosixview.com
Vendor: M. Rechenburg
%description
an openMosix-cluster management GUI
%Files
/usr/local/openmosixview/*
/usr/bin/openmosixview
/usr/bin/openmosixprocs
/usr/bin/openmosixcollector
/usr/bin/openmosixanalyzer
/usr/bin/openmosixhistory
/etc/init.d/openmosixcollector
/usr/bin/3dmosmon
/usr/bin/mosstatd
/etc/xinetd.d/mosstatd
/etc/init.d/mosstatd

%post
cat /etc/services | grep mosstatd
if [ $? == 1 ]
then
 echo "" >> /etc/services
 echo "mosstatd        10050/tcp       #openMosix/Mosix stat daemon" >> /etc/services
fi

# configure inetd if the config-file is there ...... maybe running on inetd
if [ -f /etc/inetd.conf ]; then
 cat /etc/inetd.conf | grep mosstatd >/dev/null 2>&1
 # if there is no mosstatd severice already
 if [ $? == 1 ]; then
  echo "" >> /etc/inetd.conf
  echo "# mosstatd service for 3dmon" >> /etc/inetd.conf
  echo "mosstatd  stream  tcp     nowait  root  /usr/bin/mosstatd" >> /etc/inetd.conf
  echo "" >> /etc/inetd.conf
 fi
 if [ -x /etc/init.d/inetd ]; then
  /etc/init.d/inetd restart >/dev/null 2>&1
 fi
fi

# restart xinetd ...... maybe running on xinetd
if [ -x /etc/init.d/xinetd ]; then
 /etc/init.d/xinetd restart 2>&1
fi


echo "openMosixview Installation finished!" > /dev/stderr
echo "" > /dev/stderr
echo "About using the 3dmosmon:" > /dev/stderr
echo "If you have neiter xinetd nor inetd running" > /dev/stderr
echo "you have to start the mosstatd-daemon manually" > /dev/stderr
echo "by its init-script /etc/init.d/mosstatd" > /dev/stderr
echo "e.g. /etc/init.d/mosstatd start" > /dev/stderr
echo "" > /dev/stderr



